import http from '../utils/http'

// 获取侧边菜单栏
export const apiGetRoleList = params => {
  return http({url: '/lz_management/user/lzstaffrole/list', method: 'get', params})
}

export const apiSysRoleInfo = params => {
  return http({url: `/lz_management/user/lzstaffrole/info/${params}`, method: 'post'})
}

export const apiSysMenuList = params => {
  return http({url: '/lz_management/user/lzstaffrole/menu/list', method: 'get', params})
}

export const apiSysRoleList = (params, id) => {
  return http({url: `/lz_management/user/lzstaffrole/role/list/${id}`, method: 'get', params})
}

export const apiDelete = params => {
  return http({url: `/lz_management/user/lzstaffrole/delete/${params}`, method: 'post'})
}

export const apiSysRoleConfirm = (data, type) => {
  return http({url: `/lz_management/user/lzstaffrole/updateOrAdd`, method: 'post', data})
}
